package com.mason.server.dao.generics;

import java.util.List;

import com.mason.server.model.UmlElementContainer;

public interface IUmlElementContainerDAO extends
		GenericDAO<UmlElementContainer> {

	public List<UmlElementContainer> getAllByViewId(long viewId);
	public List<UmlElementContainer> getAllByElementId(long elementId);
	
	boolean deleteAllByViewId(long viewId);
}
